#
# spec file for package man-pages-posix
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define year 2017
Name:           man-pages-posix
Version:        2017a
Release:        1.11
Summary:        POSIX Manual Pages
License:        SUSE-IEEE
Group:          Documentation/Man
URL:            https://www.kernel.org/doc/man-pages/
Source:         https://www.kernel.org/pub/linux/docs/man-pages/%{name}/%{name}-%{year}-a.tar.xz
BuildRequires:  fdupes
BuildRequires:  xz
Supplements:    man-pages
BuildArch:      noarch

%description
A large collection of man pages (reference material) from

This release contains a copy of the POSIX 1003.1-2017 man pages.
The directories man0p, man1p, man3p contain descriptions of the
headers, the utilities, and the functions documented in that standard.
For the copyright notice, see the file POSIX-COPYRIGHT.

The man pages are organized into the following sections:
* 0p: POSIX headers
* 1p: POSIX utilities
* 3p: POSIX functions

%prep
%setup -q -n %{name}-%{year}

%build

%install
for i in man?p ; do
  mkdir -p "%{buildroot}/%{_mandir}/$i"
  cp -p "$i"/* "%{buildroot}/%{_mandir}/$i/"
done
cd "%{buildroot}/%{_mandir}"
RETVAL=0
ARE_MISSING=""
for i in */* ; do
    FOUND=0
    grep "^.so man" "$i" && FOUND=1
    if [ "$FOUND" = 1 ] ; then
      if [ ! -f `grep "^.so man" "$i" | awk '{print $2}'` ]; then
	ARE_MISSING="$i $ARE_MISSING"
        RETVAL=1
      fi
    fi
done
echo ""
echo "The following manual pages are now missing (for .so reference):"
echo "$ARE_MISSING"
echo ""
if [ "$RETVAL" -ne 0 ] ; then
  exit "$RETVAL"
fi
%fdupes -s %{buildroot}/%{_prefix}

%files
%dir %{_mandir}/man?p
%{_mandir}/man*/*.gz
%doc README
%doc POSIX-COPYRIGHT
%doc man-pages-*.Announce

%changelog
* Thu Nov  5 2020 pgajdos@suse.com
- version update to 2017a
  * see man-pages-posix-2017-a.Announce for details
* Sun Jan 13 2019 Jan Engelhardt <jengelh@inai.de>
- Supplement man-pages, not man.
* Fri Jan  4 2019 Petr Gajdos <pgajdos@suse.com>
- supplements man [bsc#1116987]
* Sat Jan 25 2014 jengelh@inai.de
- Update to new upstream release 2013a
  * Update to the latest revision of the POSIX standard
- Feed specfile through formatter; kill redundant %%clean section;
  %%fdupes ought not to be called across directories that potentially
  live across standard partitions
* Tue Apr 16 2013 mmeister@suse.com
- Added url as source.
  Please see http://en.opensuse.org/SourceUrls
* Tue Mar 26 2013 pgajdos@suse.com
- adjust url
* Thu Aug 23 2012 cfarrell@suse.com
- license update: SUSE-IEEE
  A new license string was added to the spreadsheet linked from
  license.opensuse.org. It corresponds to the Fedora entry. The proprietary
  SUSE- prefix is included until the license is accepted upstream at
  spdx.org/licenses
* Wed Sep 21 2011 andrea.turrini@gmail.com
- removed repeated sentence from man-pages-posix.spec description
* Wed Aug 20 2008 pgajdos@suse.cz
- splitted from man-pages
